org.apache.cayenne.util

## Class Base64Codec

- java.lang.Object
- - org.apache.cayenne.util.Base64Codec

-     public class Base64Codec
      extends Object

  Provides Base64 encoding and decoding as defined by RFC 2045.

  This codec is based on Apache commons.codec implementation, copyright The Apache Software Foundation.

  Since:
    1.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Base64Codec()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte[]` | `decodeBase64(byte[] base64Data)` Decodes Base64 data into octects
    `static byte[]` | `encodeBase64(byte[] binaryData)` Encodes binary data using the base64 algorithm but does not chunk the output.
    `static byte[]` | `encodeBase64(byte[] binaryData, boolean isChunked)` Encodes binary data using the base64 algorithm, optionally chunking the output into 76 character blocks.
    `static byte[]` | `encodeBase64Chunked(byte[] binaryData)` Encodes binary data using the base64 algorithm and chunks the encoded output into 76 character blocks
    `static boolean` | `isArrayByteBase64(byte[] arrayOctect)` Tests a given byte array to see if it contains only valid characters within the Base64 alphabet.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Base64Codec

          public Base64Codec()

  - ### Method Detail

    - #### isArrayByteBase64

          public static boolean isArrayByteBase64(byte[] arrayOctect)

      Tests a given byte array to see if it contains only valid characters within the Base64 alphabet.
      Parameters:
        `arrayOctect` - byte array to test
      Returns:
        true if all bytes are valid characters in the Base64 alphabet or if the byte array is empty; false, otherwise

    - #### encodeBase64

          public static byte[] encodeBase64(byte[] binaryData)

      Encodes binary data using the base64 algorithm but does not chunk the output.
      Parameters:
        `binaryData` - binary data to encode
      Returns:
        Base64 characters

    - #### encodeBase64Chunked

          public static byte[] encodeBase64Chunked(byte[] binaryData)

      Encodes binary data using the base64 algorithm and chunks the encoded output into 76 character blocks
      Parameters:
        `binaryData` - binary data to encode
      Returns:
        Base64 characters chunked in 76 character blocks

    - #### encodeBase64

          public static byte[] encodeBase64(byte[] binaryData,
                                            boolean isChunked)

      Encodes binary data using the base64 algorithm, optionally chunking the output into 76 character blocks.
      Parameters:
        `binaryData` - Array containing binary data to encode.
        `isChunked` - if isChunked is true this encoder will chunk the base64 output into 76 character blocks
      Returns:
        Base64-encoded data.

    - #### decodeBase64

          public static byte[] decodeBase64(byte[] base64Data)

      Decodes Base64 data into octects
      Parameters:
        `base64Data` - Byte array containing Base64 data
      Returns:
        Array containing decoded data.

Copyright © 2001–2018 Apache Cayenne. All rights reserved.